DoubleTime® 7.0.6 - Enhancements & Fixes Update

DoubleTime

Windows 10 Compatible

Important:  You must have DoubleTime® 7.0 or higher installed to upgrade to 7.0.6.

Download Now



Minimum System Requirements

Desktop/Laptop Operating Systems:

  • Microsoft Windows Vista 32-bit or 64-bit
  • Microsoft Windows 7 32-bit or 64-bit
  • Microsoft Windows 8 32-bit or 64-bit
  • Microsoft Windows 10 32-bit or 64-bit

Note: Network users of DoubleTime must maintain a wired local area connection to the DoubleTime database.


Server Operating System:

  • Windows Server™ 2008, 2008 R2, 2012 R2

Minimum Hardware for Windows Vista, Windows 7, 8.X and 10:

  • 1 GHz Processor
  • 4 GB RAM
  • 3 GB free disk space (for installation and data storage)
  • 256 MB Video Card Recommended
  • DVD Drive (for software installation - optional)
  • Bandwidth: High-speed or broadband Internet connectivity via DSL, ISDN, Frame Relay, T1 line, Cable, etc.

Supported Browsers: Internet Explorer, Chrome, Firefox


Additional Requirements

*Minimum Requirements are subject to change and are not guaranteed to support future products made available by The Fund.

  • PDF Reader
  • ATIDS XE requires installation of .Net 4.5.2 Framework
  • Java 7 Update 10 or the latest version of the Java is required to support Web ATIDS printing on Windows 8/8.1.
  • Windows 8/8.1 by default runs 32-bit Internet Explorer (IE). If Windows 8/8.1 is configured to run 64-bit of Internet Explorer (IE), then 64-bit Java should be downloaded. In general, the version of the Internet Explorer should match the version of the Java in terms of 32-bit/64-bit.
  • Internet Explorer (IE) is required for WebATIDS printing, due to Java compatibility requirements.
  • Only printer models compatible with the most current version of Java are supported for WebATIDS printing.

Recommendations

  • Uninterrupted Power Supply (UPS)
  • Back-up solution for data
  • Anti-Virus/Anti-Spyware Protection
  • Firewall